import QtQuick 1.0;
import com.nokia.meego 1.0;

Rectangle {
    id: container
    width: ListView.view.width
    height: titleLabel.height + dateLabel.height + 20

    MouseArea {
        anchors.fill: parent
        onClicked: {
            var component = Qt.createComponent("Article.qml");
            if(component.status == Component.Ready){
                var object = component.createObject(pageStack, { "index" : index });
                pageStack.push(object)
            }
            //console.log("click!");
            //console.log(component.errorString());
        }
        onCanceled: {
            container.color = "white"
        }
        onPressed: {
            container.color = "#f9b700"
        }
        onReleased: {
            container.color = "white"
        }
    }

    Column {
        y:5
        id: contents
        width: parent.width
        anchors.margins: 10
        spacing: 5

    Text {
        id: titleLabel
        color: "#000080"
        text: emaildelegate.stripXMLTags(title)
        //anchors.centerIn: parent
        width: parent.width - 10

        styleColor: "#2c1269"
        font.bold: false
        font.family: "Helvetica"
        style: Text.Raised
        wrapMode: Text.WordWrap
        font.pixelSize: 30
        anchors.right: parent.right
        anchors.rightMargin: 5
        anchors.left: parent.left
        anchors.leftMargin: 5
    }

    Text {
        id: dateLabel
        color: "black"
        text: Qt.formatDateTime(pubDate, "dd MMM yyyy HH:mm:ss")
        horizontalAlignment: Text.AlignLeft
        anchors.right: parent.right
        anchors.rightMargin: 5
        anchors.left: parent.left
        anchors.leftMargin: 5
        wrapMode: Text.NoWrap
        font.family: "Helvetica"
        font.pixelSize: 24
    }

    }

}

/*
Component {
Rectangle {
    id: container
    property bool expanded: false;

    MouseArea {
        anchors.fill: parent
        onClicked: {
            if(container.expanded){
                container.expanded = false;
                //container.height = titleLabel.height + dateLabel.height
                summaryContainer.height = 0;
                buttonRows.height = 0;
            } else {
                container.expanded = true;
                //container.height = contents.height
                summaryContainer.height = summaryText.implicitHeight + 20
                buttonRows.height = buttonRows.implicitHeight
            }
        }
    }

    Behavior on width {
        NumberAnimation {}
    }

    Component.onCompleted: {
        width = ListView.view.width
    }

    width: ListView.view.width
    height: contents.height + 10
    //color: "#10400f"
    color: "white"
    radius: 10

    //color: altColor(index%2)

    function altColor(i) {
                    var colors = [ "black", "gray" ];
                    return colors[i];
                }



    border.width: 2
    border.color: "#0a6612"

    Column {
        id: contents
        y: 5
        anchors.rightMargin: 5
        anchors.leftMargin: 5
        anchors.bottomMargin: 5
        anchors.topMargin: 5
        spacing: 6
        height: implicitHeight
        width: parent.width

        Rectangle {
            id: titleContainer
            height: titleLabel.implicitHeight + 10
            radius: 10
            //color: "green"

            gradient: Gradient {
                GradientStop {
                    position: 0
                    color: "#46623b"
                }

                GradientStop {
                    position: 1
                    color: "#366933"
                }
            }

            border.width: 2
            border.color: "#12420c"
            anchors.right: parent.right
            anchors.rightMargin: 5
            anchors.left: parent.left
            anchors.leftMargin: 5

            Text {
                id: titleLabel
                color: "#fbf8f8"
                text: title
                anchors.centerIn: parent
                width: parent.width - 10

                styleColor: "#2c1269"
                font.bold: false
                font.family: "Helvetica"
                style: Text.Raised
                wrapMode: Text.WordWrap
                font.pixelSize: 28
        }
        }

        Rectangle {
            id: summaryContainer
            height: 0//summaryText.implicitHeight + 20
            //color: "#fbfbfb"
            color: "white"
            radius: 10
            border.width: 2
            border.color: "#50117533"
            anchors.right: parent.right
            anchors.rightMargin: 10
            anchors.left: parent.left
            anchors.leftMargin: 10
            clip: true

            Behavior on height {
                NumberAnimation {}
            }

            Text {
                id: summaryText
                color: "#000000"
                text: summary
                anchors.rightMargin: 10
                anchors.leftMargin: 10
                anchors.bottomMargin: 10
                anchors.topMargin: 10
                anchors.fill: parent
                font.family: "Helvetica"
                wrapMode: Text.WordWrap
                font.pixelSize: 20
        }
        }

        Row {
            id: buttonRows
            y: 52
            height: 0
            width: implicitWidth
            x: container.width/2 - width/2
            spacing: 35

            Behavior on height {
                NumberAnimation { }
            }
            clip: true

            Image {
                id: facebookButton
                x: 0
                y: 0
                width: 60
                height: 60
                source: "qrc:/images/icons/fbicon.png"
                fillMode: Image.PreserveAspectFit
                //color: "#1a1c7a"
                //radius: 10
                //border.color: "#000000"
                MouseArea {
                    anchors.fill: parent
                    onClicked: {
                        console.log("facebook!" + feedID + " " + index)
                        //window.showToast("show facebook");

                        var component = Qt.createComponent("FacebookShareDialog.qml");
                        if(component.status == Component.Ready){
                            var object = component.createObject(pageStack, { "itemID" : itemID });
                            object.open();

                        }

                        //fbshareDialog.itemID = itemID
                        //fbshareDialog.open();
                        window.showToast("should show fb: " + itemID);
                        console.log(component.errorString());

                    }
                }
            }

            Image {
                id: emailButton
                x: 259
                y: 0
                width: 60
                height: 60
                source: "qrc:/images/icons/emailicon.png"
                fillMode: Image.PreserveAspectFit
                //color: "#db0b0b"
                //radius: 10
                //border.color: "#000000"
                MouseArea {
                    anchors.fill: parent
                    onClicked: {
                        console.log("email!" + feedID + " " + index)
                        emaildelegate.sendStoryByEmail(itemID);
                    }
                }
            }

            Image {
                id: saveButton
                width: 60
                height: 60
                //color: "#b9cf26"
                //radius: 10
                source: "qrc:/images/icons/saveicon.png"
                fillMode: Image.PreserveAspectFit

                rotation: archived ? 0 : 180

                MouseArea {
                    anchors.fill: parent
                    onClicked: {
                        console.log("save! " + feedID + " " + index)
                        if(archived){
                            datamanager.setItemIsArchived(itemID, false);
                            window.showToast("Article not saved.")
                        } else {
                            datamanager.setItemIsArchived(itemID, true);
                            window.showToast("Article saved.")
                        }
                        parent.rotation = (archived ? 0 : 180)
                    }
                }
            }

            Image {
                id: webButton
                x: 415
                y: 0
                width: 60
                height: 60
                source: "qrc:/images/icons/webicon.png"
                fillMode: Image.PreserveAspectFit
                //color: "#9a16ca"
                //radius: 10
                //border.color: "#000000"
                MouseArea {
                    anchors.fill: parent
                    onClicked: {
                        Qt.openUrlExternally(link);
                    }
                }
            }

        }

        Text {
            id: dateLabel
            y: 63
            height: implicitHeight
            color: "#e6dddd"
            text: Qt.formatDateTime(pubDate, "ddd, dd MMM yyyy HH:mm:ss")
            horizontalAlignment: Text.AlignHCenter
            anchors.right: parent.right
            anchors.rightMargin: 0
            anchors.left: parent.left
            anchors.leftMargin: 0
            wrapMode: Text.NoWrap
            font.family: "Helvetica"
            font.pixelSize: 24
        }
    }

}
}
*/
