import QtQuick 1.0
import QtWebKit 1.0
import com.nokia.meego 1.0

Rectangle {

    id: dialog
    property bool shown: false
    property alias url: webview.url
    property int queueShare: -1

    scale: 0

    width: 300
    height: 480
    //clip: true

    anchors.centerIn: parent
    //anchors.left: parent.left

    Behavior on scale {
        NumberAnimation {duration: 500; easing.type: Easing.InOutQuad}
    }

    function show() {
        shown = true
        scale = 1
        webview.url = "https://www.facebook.com/dialog/oauth?display=wap&client_id=263709650327381&redirect_uri=https://www.facebook.com/connect/login_success.html&scope=publish_stream&response_type=token"
        webview.reload.trigger();
        webview.visible = true;
    }

    function hide() {
        shown = false
        scale = 0
        focus= false;
        webview.focus =false;
        pageStack.currentPage.focus = true;
        webview.visible = false;
        //webview.activeFocus = false;
        //appWindow.forceActiveFocus = true;
    }

    border.color: "gray"
    border.width: 8
    radius: 16

    WebView {
        id: webview

        preferredWidth: parent.width - 20
        preferredHeight: parent.height - 20

        anchors.fill: parent
        anchors.margins: 10
        //url: "https://www.facebook.com/dialog/oauth?display=wap&client_id=263709650327381&redirect_uri=https://www.facebook.com/connect/login_success.html&scope=publish_stream&response_type=token"
        //settings.javascriptEnabled: true
        onLoadFailed: {
            console.log("failed to load page");
            dialog.hide();
            window.showToast("Failed to load page. Check your internet connection.")
            /*
            var component = Qt.createComponent("Toast.qml");
            if(component.status == Component.Ready){
                var object = component.createObject(appWindow, { "text" : "Failed to load page. Check your internet connection." });
                object.show(2500);
            }*/
        }

        onLoadStarted: {
            startBusyIndicator();
        }

        onLoadFinished: {
            stopBusyIndicator();
            var searchString = "https://www.facebook.com/connect/login_success.html#access_token=";

            window.showToast("loading: " + url.toString())

            if(url.toString().search(searchString) == 0){
                dialog.hide();
                var token = url.toString().substring(searchString.length);
                window.showToast("story shared with token: " + token + " " + dialog.queueShare)
                token = token.split('&')[0];
                fbdelegate.setAccessToken(token);
                console.log("token found " + token);
                if(dialog.queueShare != -1){
                    fbdelegate.shareStory(dialog.queueShare)

                    dialog.queueShare = -1
                }
            }

            console.log("loaded page: " + url)
            console.log("html: " + html)

        }

        BusyIndicator {
            id: activityIndicator
            running: false
            visible: false
            anchors.centerIn: parent
            width: 100
            height: 100
        }

        function startBusyIndicator() {
            activityIndicator.running = true
            activityIndicator.visible = true
        }

        function stopBusyIndicator() {
            activityIndicator.running = false
            activityIndicator.visible = false
        }

    }

    Rectangle {

        anchors.left: parent.right
        anchors.leftMargin: -width/2
        anchors.bottom: parent.top
        anchors.bottomMargin: -height/2

        width: 35
        height: 35

        border.color: "gray"
        border.width: 10
        color: "gray"
        radius: 60

        Text {
            text: "X"
            color: "white"
            anchors.centerIn: parent
            font.pixelSize: 32
            font.bold: true
        }

        MouseArea {
            anchors.fill: parent
            onClicked: {
                dialog.hide();
            }
        }

    }

}

