import QtQuick 1.0

Rectangle {

    id: dialog
    property bool shown: false
    property alias text: messageText.text
    property alias duration: timer.interval
    scale: 0

    width: 300
    height: 160
    clip: true

    anchors.centerIn: parent
    //anchors.left: parent.left

    Behavior on scale {
        NumberAnimation {duration: 300; easing.type: Easing.InOutQuad}
    }

    function show() {
        shown = true
        scale = 1
    }

    function hide() {
        shown = false
        scale = 0
    }

    function showForDuration(interval){
        timer.interval = interval
        dialog.show();
        timer.running = true;
    }

    border.color: "gray"
    border.width: 8
    radius: 16

    Column {
        id: column1
        anchors.fill: parent
        anchors.margins: 4

        clip: true

        Rectangle {
            id: rectangle1
            height: dialog.height/3
            color: "#240d75"
            //anchors.top: parent.top
            anchors.topMargin: 0
            anchors.right: parent.right
            anchors.rightMargin: 0
            anchors.left: parent.left
            anchors.leftMargin: 0

            Text {
                id: text1
                color: "#ffffff"
                text: qsTr("facebook")
                anchors.rightMargin: 5
                anchors.leftMargin: 5
                anchors.bottomMargin: 5
                anchors.topMargin: 5
                anchors.fill: parent
                font.pixelSize: 28
                font.family: "Lucida [Grande]"
                font.bold: true
            }
        }

        Text {
            id: messageText
            text: qsTr("Sample message from facebook.")
            wrapMode: Text.WordWrap
            height: dialog.height * 2/3
            //anchors.top: rectangle1.bottom
            anchors.topMargin: 5
            //anchors.bottom: parent.bottom
            anchors.bottomMargin: 10
            anchors.left: parent.left
            anchors.leftMargin: 10
            anchors.right: parent.right
            anchors.rightMargin: 10

            font.pixelSize: 22
        }
        z:0
    }

    Timer {
        id: timer
        interval: 5000
        repeat: false
        running: false
        onTriggered: {
            dialog.hide();
        }
    }

    z: 100

}

