import QtQuick 1.0
import com.nokia.meego 1.0

Page {
    id: configurePage

    orientationLock: PageOrientation.LockPortrait

    Header {
        id: header
        z: 10
    }

    ListView {
        id: list
        //anchors.fill: parent
        anchors.top: header.bottom
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.bottom: parent.bottom

        section.delegate: Component {
            Rectangle {
            //width: ListView.view.width
            width: list.width
            height: 60
            color: "#0000C0"

            Text {
                anchors.fill: parent
                anchors.margins: 2
                text: section
                color: "white"
                font.pixelSize: 32
                font.bold: true
                verticalAlignment: Text.AlignVCenter
            }
        }
        }
        section.property: "category"
        section.criteria: ViewSection.FullString


        delegate: FeedListConfigureDelegate {
            width: list.width

        }

        model: sources

        spacing: 1
        z: 1
    }

    tools: ToolBarLayout {
        id: mainToolbar
        ToolIcon {
            platformIconId: "toolbar-back"
            onClicked:{
                datamanager.getListOfActiveFeedSources();
                pageStack.depth <= 1 ? Qt.quit() : pageStack.pop()
            }
        }
    }

    onStatusChanged: {
        if(status == PageStatus.Activating){
            header.title = "Configure Feeds"
        }
    }

}
