import QtQuick 1.0

Rectangle {
    id: rectangle1
    width: 360
    height: 100
    color: "#ffffff"

    Text {
        id: text1
        height: 30
        color: "#000080"
        text: name//qsTr("A Sample News Feed Title")
        style: Text.Normal
        font.family: "Tahoma"
        clip: true
        wrapMode: Text.WordWrap
        anchors.top: parent.top
        anchors.topMargin: 10
        anchors.right: rectangle2.left
        anchors.rightMargin: 10
        anchors.left: parent.left
        anchors.leftMargin: 10
        font.pixelSize: 24
    }

    Text {
        id: text3
        text: qsTr("Link: ") + link
        anchors.right: rectangle2.left
        anchors.rightMargin: 10
        anchors.left: parent.left
        anchors.leftMargin: 10
        anchors.top: text1.bottom
        anchors.topMargin: 10
        font.pixelSize: 14
        //maximumLinkCount: 3
        wrapMode: Text.WrapAnywhere
    }

    Rectangle {
        id: rectangle2
        x: 245
        width: height
        color: "#ffffff"
        border.width: 6
        border.color: "#000000"
        anchors.right: parent.right
        anchors.rightMargin: 15
        anchors.bottom: parent.bottom
        anchors.bottomMargin: 30
        anchors.top: parent.top
        anchors.topMargin: 30

        Rectangle {
            id: checkbox
            property bool enabled: active
            color: active ? "#008000" : "white"
            anchors.rightMargin: 5
            anchors.leftMargin: 5
            anchors.bottomMargin: 5
            anchors.topMargin: 5
            anchors.fill: parent
        }
    }

    function setChecked(checked){
        if(checked){
            checkbox.enabled = true;
            checkbox.color = "#008000"
        } else {
            checkbox.enabled = false;
            checkbox.color = "white"
        }
    }

    function toggle(){
        setChecked(!checkbox.enabled);
    }

    MouseArea {
        anchors.fill: parent
        onCanceled: {
            rectangle1.color = "white"
        }
        onPressed: {
            rectangle1.color = "#f9b700"
        }
        onReleased: {
            rectangle1.color = "white"
        }
        onClicked: {
            feedmanager.setFeedState(feedID, !active);
        }
    }

}
