import QtQuick 1.0

Rectangle {
    id: container
    width: ListView.view.width
    height: Math.max(160, titleLabel.implicitHeight + 30)

    MouseArea {
        anchors.fill: parent
        onClicked: {
            var component = Qt.createComponent("Article.qml");
            if(component.status == Component.Ready){
                var object = component.createObject(pageStack, { "index" : index });
                pageStack.push(object)
            }
            //console.log("click!");
            //console.log(component.errorString());
        }
        onCanceled: {
            container.color = "white"
        }
        onPressed: {
            container.color = "#f9b700"
        }
        onReleased: {
            container.color = "white"
        }
    }

    Text {
        id: titleLabel
        x: 163
        color: "#000080"
        text: title
        anchors.bottom: parent.bottom
        anchors.bottomMargin: 15
        anchors.top: parent.top
        anchors.topMargin: 15
        //anchors.centerIn: parent
        width: parent.width - 10

        styleColor: "#2c1269"
        font.bold: false
        font.family: "Helvetica"
        style: Text.Raised
        wrapMode: Text.WordWrap
        font.pixelSize: 30
        anchors.right: parent.right
        anchors.rightMargin: 15
        anchors.left: image1.right
        anchors.leftMargin: 10
    }

    Image {
        id: image1
        width: 130
        fillMode: Image.PreserveAspectFit
        anchors.left: parent.left
        anchors.leftMargin: 15
        anchors.bottom: parent.bottom
        anchors.bottomMargin: 15
        anchors.top: parent.top
        anchors.topMargin: 15
        source: imageLink
    }

}
