import QtQuick 1.0
import com.nokia.meego 1.0

Rectangle {
    width: 360
    height: 100

    color: "#c8c7c7"

    signal searchButtonClicked(string searchString);
    property string searchString: input.text

    Row {
        anchors.fill: parent
        anchors.margins: 5

    TextField {
        id: input
        //anchors.left: parent.left
        anchors.top: parent.top
        anchors.bottom: parent.bottom
        //anchors.right: cancelbutton.left
        placeholderText: "Search the News"
        font.family: "Helsinki"
        font.pixelSize: 28
        width: parent.width - searchbutton.width - cancelbutton.width
    }

    ToolIcon {
        id: cancelbutton
        platformIconId: "toolbar-cancle"
        //anchors.right: searchButton.left
        anchors.margins: 10
        anchors.top: parent.top
        anchors.bottom: parent.bottom
        width: 60
        visible: true
        onClicked: {
            input.platformCloseSoftwareInputPanel();
            input.text = "";
        }
    }

    ToolIcon {
        id: searchbutton
        platformIconId: "toolbar-search"
        //anchors.right: parent.right
        anchors.margins: 10
        anchors.top: parent.top
        anchors.bottom: parent.bottom
        width: 60
        onClicked: {
            console.log("search clicked" + input.text);
            searchButtonClicked(input.text);
            input.text = "";
        }
    }

    }
}
