import QtQuick 1.0
import QtWebKit 1.0
import com.nokia.meego 1.0
import SocialNetworks 1.0

Rectangle {
    border.color: "gray"
    border.width: 8
    radius: 16

    id: dialog
    property bool shown: false
    property alias url: webview.url
    property int queueShare: -1
    property int sharemode: 0

    scale: 0

    width: 340
    height: 460
    //clip: true

    anchors.centerIn: parent
    //anchors.left: parent.left

    Behavior on scale {
        NumberAnimation {duration: 500; easing.type: Easing.InOutQuad}
    }


    ShareDelegate {
        id: shareDelegate
    }

    function share( mode, itemID ) {
        var link;
        sharemode = mode;
        switch(mode){
        case ShareDelegate.Facebook: //facebook
            link = shareDelegate.linkForSharingItem(ShareDelegate.Facebook, itemID);
            break;
        case ShareDelegate.Twitter: //twitter
            link = shareDelegate.linkForSharingItem(ShareDelegate.Twitter, itemID);
            break;
        case ShareDelegate.GooglePlus: //google plus
            link = shareDelegate.linkForSharingItem(ShareDelegate.GooglePlus, itemID);
            break;
        default:
            break;
        }

        if(link){
            webview.html = "";
            console.log(link);
            //webview.url = link;
            //show();
            Qt.openUrlExternally(link)
        }
    }

    function show() {
        shown = true
        scale = 1
        //webview.url = "https://www.facebook.com/dialog/oauth?display=wap&client_id=263709650327381&redirect_uri=https://www.facebook.com/connect/login_success.html&scope=publish_stream&response_type=token"
        webview.reload.trigger();
        webview.visible = true;
    }

    function hide() {
        shown = false
        scale = 0
        focus= false;
        webview.focus =false;
        pageStack.currentPage.focus = true;
        webview.stop.trigger();
        webview.visible = false;
        webview.html = "";
        //webview.url = "";
        //webview.reload.trigger();
        //webview.activeFocus = false;
        //appWindow.forceActiveFocus = true;
    }


Flickable {
    id: flickable
    anchors.fill: parent
    anchors.margins: 10
    flickableDirection: Flickable.VerticalFlick
    contentWidth: width
    contentHeight: height
    clip: true

    WebView {
        id: webview

        preferredWidth: parent.width
        preferredHeight: parent.height

        anchors.fill: parent
        anchors.centerIn: parent
        //anchors.margins: 4
        //url: "https://www.facebook.com/dialog/oauth?display=wap&client_id=263709650327381&redirect_uri=https://www.facebook.com/connect/login_success.html&scope=publish_stream&response_type=token"
        //settings.javascriptEnabled: true

        onLoadFailed: {
            console.log("failed to load page");
            //dialog.hide();
            //window.showToast("Failed to load page. Check your internet connection.")
            //networkActivityIndicator.stop();
        }

        onLoadStarted: {
            startBusyIndicator();
            //networkActivityIndicator.start();
        }

        onLoadFinished: {
            stopBusyIndicator();
            //networkActivityIndicator.stop();
            var searchString = "https://www.facebook.com/connect/login_success.html#access_token=";

            flickable.contentHeight = preferredHeight;

            //window.showToast("loading: " + url.toString())

            if(url.toString().search(searchString) == 0){
                dialog.hide();
            }

            console.log("loaded page: " + url)
            //console.log("html: " + html)
        }

        BusyIndicator {
            id: activityIndicator
            running: false
            visible: false
            anchors.centerIn: parent
            platformStyle: BusyIndicatorStyle {
                size: "large"
            }
        }

        function startBusyIndicator() {
            activityIndicator.running = true
            activityIndicator.visible = true
        }

        function stopBusyIndicator() {
            activityIndicator.running = false
            activityIndicator.visible = false
        }

    }

}
Rectangle {

    anchors.left: parent.right
    anchors.leftMargin: -width/2
    anchors.bottom: parent.top
    anchors.bottomMargin: -height/2

    width: 28
    height: 28

    border.color: "gray"
    border.width: 10
    color: "gray"
    radius: 60

    Text {
        text: "X"
        color: "white"
        anchors.centerIn: parent
        font.pixelSize: 26
        font.bold: true
    }

    MouseArea {
        anchors.fill: parent
        onClicked: {
            dialog.hide();
        }
    }

}
}

