import QtQuick 1.0

Text {
    id: container
    property string tag: ""
    text: tag
    font.pixelSize: fontSizeFromWeight(tagstore.weightOfTag(tag))
    color: "blue"

    signal clicked();

    function fontSizeFromWeight(weight){
        if(weight > 10){
            return 40;
        } else if(weight > 8){
            return 38;
        } else if(weight > 6){
            return 36;
        } else if(weight > 4){
            return 34;
        } else if(weight > 2){
            return 30;
        } else if(weight > 0){
            return 28;
        } else {
            return 20;
        }
    }

    MouseArea {
        anchors.fill: parent
        onClicked:{
            container.clicked();
        }
        onPressed: {
            container.color = "orange"
        }
        onReleased: {
            container.color = "blue"
        }
        onCanceled: {
            container.color = "blue"
        }
    }

}
