import QtQuick 1.0
import com.nokia.meego 1.0

Page {
    id: articlesPage
    tools: toolbar

    orientationLock: PageOrientation.LockPortrait

    Header {
        id: header
        z: 10
    }

    Component.onCompleted: {
        var count = tagstore.tagCount();
        console.log(count);
        var i;
/*
        for(i=0; i<count; i++){
            var tag = tagstore.tagAtIndex(i);
            console.log(tag + ":" + tagstore.weightOfTag(tag));

            tags.append( ListElement { tag: tag } )
        }
*/
    }

    Component.onDestruction: {
        console.log("tags view destroyed");
    }

    Rectangle {
        color: "white"
        anchors.fill: parent
        z: -1
    }

    property string title: ""

    onStatusChanged: {
        if(status == PageStatus.Active){
            //window.setHeaderTitle( title )
            header.title = title
        }
    }

    ToolBarLayout {
        id: toolbar
        ToolIcon {
            platformIconId: "toolbar-back";
            onClicked: pageStack.pop().destroy(1000);
        }
    }

    Flickable {
        anchors.top: header.bottom
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.bottom: parent.bottom

        contentHeight: flow.implicitHeight
        contentWidth: width

        Flow {
            id: flow
            anchors.left: parent.left
            anchors.right: parent.right
            anchors.top: parent.top

            spacing: 12
            add: Transition {
                NumberAnimation { properties: "x,y"; easing.type: Easing.InOutQuad }
            }

            move: Transition {
                NumberAnimation { properties: "x,y"; easing.type: Easing.InOutQuad }
            }

            Repeater {
                model: tagstore.tagCount()
                Tag {
                    tag: tagstore.tagAtIndex(index)

                    onClicked: {
                        datamanager.selectItemsWithSearchString(tag)
                        var component = Qt.createComponent("ArticlesPage.qml")
                        if(component.status == Component.Ready){
                            var page = component.createObject(pageStack, { "title" : tag })
                            pageStack.push(page)
                        }
                    }

                }
            }
        }
    }

}
