import QtQuick 1.1

Rectangle {

    width: textLabel.width + 16
    height: textLabel.height + 26

    anchors.bottom: parent.bottom
    anchors.bottomMargin: 160
    anchors.horizontalCenter: parent.horizontalCenter

    //anchors.left: parent.left
    //anchors.top: parent.top

    opacity: 0
    Behavior on opacity {
        NumberAnimation { duration: 100 }
    }

    property alias text: textLabel.text

    clip: true

    Text {
        anchors.centerIn: parent
        height: implicitHeight
        width: Math.min(implicitWidth, 260)
        id: textLabel
        text: ""
        maximumLineCount: 4
        color: "white"
        wrapMode: Text.WordWrap
        horizontalAlignment: Text.AlignHCenter
        font.pixelSize: 18
        font.family: "Helvetica"
    }

    color: "gray"
    border.color: "gray"
    border.width: 2
    radius: 8

    function show(duration) {
        opacity = 1
        timer.interval = duration
        timer.running = true
    }

    function hide() {
        opacity = 0
    }

    function removeToast(time) {
        destroy(time)
    }

    Timer {
        id: timer
        interval: 3000
        repeat: false
        running: false
        onTriggered: {
            parent.hide();
            parent.removeToast(1000);
        }
    }

    z: 1000
}
